Package org.jfree.report.modules.gui.common

# Class DefaultIconTheme

java.lang.Object
org.jfree.report.modules.gui.common.DefaultIconTheme

All Implemented Interfaces:
  `IconTheme`

public class DefaultIconTheme extends Object implements IconTheme
Creation-Date: 13.11.2006, 19:27:51

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`DefaultIconTheme()`

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getLargeIcon(Locale locale, String id)`
`Icon`
`getSmallIcon(Locale locale, String id)`
`void`
`initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultIconTheme

public DefaultIconTheme()

## Method Details

### initialize

public void initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)

Specified by:
  `initialize` in interface `IconTheme`

### getSmallIcon

public Icon getSmallIcon(Locale locale, String id)

Specified by:
  `getSmallIcon` in interface `IconTheme`

### getLargeIcon

public Icon getLargeIcon(Locale locale, String id)

Specified by:
  `getLargeIcon` in interface `IconTheme`